Bug 836238 - rhc port-forward for scaling app fail in ruby-1.8 env
rhc port-forward for scaling app fail in ruby-1.8 env
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
medium Severity high
: ---
: ---
Assigned To: Fabiano Franz
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-28 09:07 EDT by Jianwei Hou
Modified: 2015-05-14 21:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-13 19:43:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jianwei Hou 2012-06-28 09:07:31 EDT
Description of problem:
run rhc-port-forward for a scalable app and received error message

Version-Release number of selected component (if applicable):
on stage 2.0.13

How reproducible:
always

Steps to Reproduce:
1.create a scaleble application
2.run rhc-port-forward -a appname

  
Actual results:
receive error message:
[hjw@my test]$ rhc-port-forward -a node1
Password: ******

Checking available ports...
/usr/lib/ruby/gems/1.8/gems/net-ssh-2.5.2/lib/net/ssh.rb:200:in `start': 4654eb22f3da4242ad36efd1232707cc (Net::SSH::AuthenticationFailed)
	from /usr/lib/ruby/gems/1.8/gems/rhc-0.95.5/bin/rhc-port-forward:155
	from /usr/lib/ruby/gems/1.8/gems/rhc-0.95.5/bin/rhc-port-forward:151:in `each'
	from /usr/lib/ruby/gems/1.8/gems/rhc-0.95.5/bin/rhc-port-forward:151
	from /usr/lib/ruby/gems/1.8/gems/net-ssh-2.5.2/lib/net/ssh.rb:193:in `start'
	from /usr/lib/ruby/gems/1.8/gems/rhc-0.95.5/bin/rhc-port-forward:107
	from /usr/bin/rhc-port-forward:19:in `load'
	from /usr/bin/rhc-port-forward:19


Expected results:
should display port infomation with no errors

Additional info:
Comment 1 Xiaoli Tian 2012-06-28 09:16:48 EDT
This is not only for stage, it will not work on devenv as well.

It works for ruby-1.9 after bug 834813 is fixed, but it does not work in ruby-1.8 env.

Version of client:
rhc-0.95.5
Comment 2 Fabiano Franz 2012-06-28 17:08:05 EDT
This was fixed in the client tools on version rhc-0.95.5, but you have to wait for the next ami build to test in devenv (and int/stg push to test in int/stg).

My devenv with latest changes from repo:

ffranz@ffranz li$ ruby -v
ruby 1.8.7 (2012-02-08 patchlevel 358) [x86_64-linux]

ffranz@ffranz li$ gem list rhc

*** LOCAL GEMS ***

rhc (0.95.5)

ffranz@ffranz li$ rhc-port-forward -a ffranzscaled1
Password: *********

Checking available ports...

Binding haproxy -> 127.0.250.1:8080...
Binding haproxy -> 127.0.250.2:8080...
Binding java -> 127.0.250.129:3528...
Binding java -> 127.0.250.129:4447...
Binding java -> 127.0.250.129:5445...
Binding java -> 127.0.250.129:5455...
Binding java -> 127.0.250.129:8080...
Binding java -> 127.0.250.129:9990...
Binding java -> 127.0.250.129:9999...
Use ctl + c to stop
Comment 3 Meng Bo 2012-06-28 23:10:46 EDT
Checked on latest stage with rhc-0.95.5 + ruby 1.8.7 , still cannot prot-forward scalable app successfully.

[bmeng@localhost openshift_testdir]$ ruby -v
ruby 1.8.7 (2011-12-28 patchlevel 357) [i386-linux]

[bmeng@localhost openshift_testdir]$ gem list |grep rhc
rhc (0.95.5)

[bmeng@localhost openshift_testdir]$ rhc-port-forward -a php1s -p<hidden>
Checking available ports...
/usr/lib/ruby/gems/1.8/gems/net-ssh-2.5.2/lib/net/ssh.rb:200:in `start': c0e3f43285524861bb0b597e1bb9565a (Net::SSH::AuthenticationFailed)
	from /usr/lib/ruby/gems/1.8/gems/rhc-0.95.5/bin/rhc-port-forward:155
	from /usr/lib/ruby/gems/1.8/gems/rhc-0.95.5/bin/rhc-port-forward:151:in `each'
	from /usr/lib/ruby/gems/1.8/gems/rhc-0.95.5/bin/rhc-port-forward:151
	from /usr/lib/ruby/gems/1.8/gems/net-ssh-2.5.2/lib/net/ssh.rb:193:in `start'
	from /usr/lib/ruby/gems/1.8/gems/rhc-0.95.5/bin/rhc-port-forward:107
	from /usr/bin/rhc-port-forward:19:in `load'
	from /usr/bin/rhc-port-forward:19
Comment 4 Rony Gong 2012-07-02 00:47:55 EDT
Verified on devenv_1869, rhc-0.95.5, ruby 1.8.7
[rony@localhost mytest]$ rhc-port-forward -a qsruby18
Password: 

Checking available ports...

Binding haproxy -> 127.0.250.129:8080...
Binding haproxy -> 127.0.250.130:8080...
Binding httpd -> 127.0.251.1:8080...
Binding ruby -> 127.0.251.1:20375...
Use ctl + c to stop

Note You need to log in before you can comment on or make changes to this bug.